All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.table
Interface ColumnLabelInterface

All Superinterfaces:
  StaticColumnLabelInterface

All Known Implementing Classes:
  IMDBTable, SimpleTable

    public interface ColumnLabelInterface

extends StaticColumnLabelInterface

Defines an interface for modifying a table's column labels.

See Also:
  `TableInterface`, `RowLabelInterface`

Method Summary
`abstract boolean` | `isColumnLabelsModifiable()` Indicates whether column labels can be modified.
`abstract void` | `setColumnLabel(int index, java.lang.Object label)` Specifies the label to associate with a column.

Methods inherited from interface com.sas.table.StaticColumnLabelInterface
`getColumnLabel, getColumnLabels, isColumnLabelsSupported, isColumnsLabelSupported`

Method Detail

### isColumnLabelsModifiable

    boolean isColumnLabelsModifiable()

  Indicates whether column labels can be modified. Normally the act of implementing this interface would indicate that labels can be modified, but some implementations may have read-only modes.

  Returns:
    `true` if column labels can be modified, and `false` otherwise.

### setColumnLabel

    void setColumnLabel(int index,
                        java.lang.Object label)
                        throws com.sas.table.TableException

  Specifies the label to associate with a column. The column is identified by a given index

  When isColumnsLabelSupported() is true, `setColumnLabel(0)` can be used to set the label for the entire set of column labels.

  Parameters:
    `index` - A one-based index that identifies the column. See note about use of zero above.
    `label` - The column's new label.
  Throws:
    `TableException` - Thrown if the query can not be satisfied (e.g. i/o-failure).
    `java.lang.IndexOutOfBoundsException` - Thrown if index is negative, zero, or greater than the number of columns. See note about use of zero above.
  See Also:
    `StaticColumnLabelInterface.isColumnsLabelSupported()`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.